Hooks:PostHook( WeaponTweakData, "init", "SC26AInit", function(self)

if self.new_m4.reload_timed_stance_mod then
	self.sc26a.reload_timed_stance_mod = {
		not_empty = {
			hip = {
				{t = 2.0, translation = Vector3(0, -11, 0), rotation = Rotation(0, 0, 0), speed = 0.5},
				{t = 1.5, translation = Vector3(0, -11, 0), rotation = Rotation(0, 0, 0), speed = 0.5}, -- preventing issues with faster reloads
				{t = 0.0, translation = Vector3(0, 0, 0), rotation = Rotation(0, 0, 0), speed = 0.5}
			}
		},
		empty = {
			hip = {
				{t = 2.8, translation = Vector3(0, -11, 0), rotation = Rotation(0, 0, 0), speed = 0.5},
				{t = 1.5, translation = Vector3(0, -11, 0), rotation = Rotation(0, 0, 0), speed = 0.5}, -- preventing issues with faster reloads
				{t = 0.8, translation = Vector3(-5, 3, 0), rotation = Rotation(-28, 5, 0), speed = 0.5},
				{t = 0.0, translation = Vector3(0, 0, 0), rotation = Rotation(0, 0, 0), speed = 0.5}
			}
		}
	}
end

if self.SetupAttachmentPoint then
	self:SetupAttachmentPoint("sc26a", {
		name = "a_ns", 
        base_a_obj = "a_ns", 
        position = Vector3( 0, -23.1, 2.6 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("sc26a", {
		name = "a_ns_long", 
        base_a_obj = "a_ns", 
        position = Vector3( 0, -9.265, 2.6 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("sc26a", {
		name = "a_body_long", 
        base_a_obj = "a_body", 
        position = Vector3( 0, 13.854, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("sc26a", {
		name = "a_ns_medium", 
        base_a_obj = "a_ns", 
        position = Vector3( 0, -19.337, 2.6 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("sc26a", {
		name = "a_body_medium", 
        base_a_obj = "a_body", 
        position = Vector3( 0, 3.762, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("sc26a", {
		name = "a_fl", 
        base_a_obj = "a_fl", 
        position = Vector3( -1.4, 0, 0.2 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("sc26a", {
		name = "a_o", 
        base_a_obj = "a_o", 
        position = Vector3( 0, -8.5, 5.7 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("sc26a", {
		name = "a_bolt2", 
        base_a_obj = "a_dh", 
        position = Vector3( 0, 0, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("sc26a", {
        name = "a_dh",
        base_a_obj = "a_dh",
        part_attach_data = {{"wpn_fps_ass_sc26a_bolt_dummy"},"g_bolt"},
        position = Vector3(0, 0, 0),
        rotation = RotationCAP(0, 0, 0)
    }) 
end
end)