Hooks:PostHook( WeaponFactoryTweakData, "init", "SeburoC26AInit", function(self)
	local all_c26a_md = {
		"wpn_fps_upg_ns_ass_smg_large",
		"wpn_fps_upg_ns_ass_smg_medium",
		"wpn_fps_upg_ns_ass_smg_small",
		"wpn_fps_upg_ns_ass_smg_firepig",
		"wpn_fps_upg_ns_ass_smg_stubby",
		"wpn_fps_upg_ns_ass_smg_tank",
		"wpn_fps_upg_ns_ass_pbs1",
		"wpn_fps_upg_ass_ns_jprifles",
		"wpn_fps_upg_ass_ns_linear",
		"wpn_fps_upg_ass_ns_surefire",
		"wpn_fps_upg_ass_ns_battle"
	}
	if attach_tables then
		for _, md_id in pairs(attach_tables.Barrel_Extensions) do
			if self.parts[md_id] then
				table.insert(all_c26a_md, md_id)
			end
		end
		for _, md_id in pairs(attach_tables.Suppressors) do
			if self.parts[md_id] then
				table.insert(all_c26a_md, md_id)
			end
		end
	end
	
	for _, md_id in pairs(all_c26a_md) do
		self.parts.wpn_fps_ass_sc26a_barrel_long.override[md_id] = {a_obj="a_ns_long"}
		self.parts.wpn_fps_ass_sc26a_barrel_medium.override[md_id] = {a_obj="a_ns_medium"}
	end
	
	local uses_sights = {"wpn_fps_upg_o_specter","wpn_fps_upg_o_aimpoint","wpn_fps_upg_o_docter","wpn_fps_upg_o_eotech","wpn_fps_upg_o_t1micro","wpn_fps_upg_o_cmore","wpn_fps_upg_o_aimpoint_2","wpn_fps_upg_o_acog","wpn_fps_upg_o_eotech_xps","wpn_fps_upg_o_reflex","wpn_fps_upg_o_rx01","wpn_fps_upg_o_rx30","wpn_fps_upg_o_cs","wpn_fps_upg_o_45rds","wpn_fps_upg_o_spot","wpn_fps_upg_o_xpsg33_magnifier","wpn_fps_upg_o_45rds_v2","wpn_fps_upg_o_sig","wpn_fps_upg_o_bmg","wpn_fps_upg_o_uh","wpn_fps_upg_o_fc1","wpn_fps_upg_o_45steel"}
	for _, sight_id in pairs(uses_sights) do
		if self.parts[sight_id].stance_mod.wpn_fps_ass_corgi then
			self.parts[sight_id].stance_mod.wpn_fps_ass_sc26a = deep_clone(self.parts[sight_id].stance_mod.wpn_fps_ass_corgi)
		else
			log("[ERROR] wpn_fps_ass_sc26a Missing stance_mod data for: " .. sight_id .. " wpn_fps_ass_corgi")
		end
	end
	
end )